Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class RowMap

    java.lang.Object
      org.labkey.remoteapi.query.RowMap

All Implemented Interfaces:
  Row

    public class RowMap

extends java.lang.Object
implements Row

Constructor Summary
`RowMap()`
`RowMap(java.util.Map<java.lang.String,java.lang.Object> row)`

Method Summary
`java.lang.Object` | `getDisplayValue(java.lang.String columnName)` Returns a column's display value (if different from value).
`java.lang.Object` | `getMvRawValue(java.lang.String columnName)` Returns the column's missing-value raw value.
`java.lang.String` | `getMvValue(java.lang.String columnName)` Returns a column's missing-value indicator.
`java.lang.String` | `getUrl(java.lang.String columnName)` Returns a column's URL
`java.lang.Object` | `getValue(java.lang.String columnName)` Returns a column's raw value.
`void` | `setMap(java.util.Map<java.lang.String,java.lang.Object> row)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowMap

    public RowMap()

### RowMap

    public RowMap(java.util.Map<java.lang.String,java.lang.Object> row)

Method Detail

### setMap

    public void setMap(java.util.Map<java.lang.String,java.lang.Object> row)

### getValue

    public java.lang.Object getValue(java.lang.String columnName)

  Description copied from interface: `Row`
  Returns a column's raw value.

  Specified by:
    `getValue` in interface `Row`
  Parameters:
    `columnName` - The column name.
  Returns:
    The column's raw value or null if the column was not found.

### getDisplayValue

    public java.lang.Object getDisplayValue(java.lang.String columnName)

  Description copied from interface: `Row`
  Returns a column's display value (if different from value).

  Specified by:
    `getDisplayValue` in interface `Row`
  Parameters:
    `columnName` - The column name.
  Returns:
    The display value, or null if the column was not found or does not have a different display value.

### getUrl

    public java.lang.String getUrl(java.lang.String columnName)

  Description copied from interface: `Row`
  Returns a column's URL

  Specified by:
    `getUrl` in interface `Row`
  Parameters:
    `columnName` - The column name.
  Returns:
    The column's URL value, or null if the column was not found or does not have a URL.

### getMvValue

    public java.lang.String getMvValue(java.lang.String columnName)

  Description copied from interface: `Row`
  Returns a column's missing-value indicator.

  Specified by:
    `getMvValue` in interface `Row`
  Parameters:
    `columnName` - The column name.
  Returns:
    The column's mising-value indicator, or null if the column was not found or is not missing-value enabled.

### getMvRawValue

    public java.lang.Object getMvRawValue(java.lang.String columnName)

  Description copied from interface: `Row`
  Returns the column's missing-value raw value. This is the actual value imported into the database along with the missing-value indicator.

  Specified by:
    `getMvRawValue` in interface `Row`
  Parameters:
    `columnName` - The column name.
  Returns:
    The column's mising-value raw value, or null if the column was not found or is not missing-value enabled.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD